<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>修改密码</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
</head>
<body>

  <div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
        <div class="layui-row layui-col-space15">
          <div class="layui-col-md12">
            <form class="layui-form" action="" lay-filter="component-form-element" id="password_form">
              <div class="layui-row layui-col-space10 layui-form-item">

                <div class="layui-col-lg12">
                  <label class="layui-form-label">新密码：</label>
                  <div class="layui-input-block">
                    <input type="text" name="new_password" placeholder="" autocomplete="off" class="layui-input" lay-verify="required">
                  </div>
                </div>
                 <div class="layui-col-lg12">
                  <label class="layui-form-label">密码确认：</label>
                  <div class="layui-input-block">
                    <input type="text" name="confirm_password" placeholder="" autocomplete="off" class="layui-input" lay-verify="required">
                  </div>
                </div>
              <div class="layui-form-item">
                <div class="layui-input-block">
                  <button class="layui-btn" lay-submit lay-filter="component-form-element" id="button_save" style="display: none">保存</button>
                </div>
              </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>


  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index' //主入口模块
  }).use(['index', 'form'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,element = layui.element
    ,form = layui.form;
    form.render(null, 'component-form-element');
    element.render('breadcrumb', 'breadcrumb');
    // 在人员管理修改密码人员id
    var id = layui.view.getParameterByName('id');
    // 在index上修改自己密码人员id
    if (!id){
        $('#button_save').css('display','block');
        id = layui.data(layui.setter.tableName)['USER-ID'];
    }
    form.on('submit(component-form-element)', function(data){
      admin.req({
        url: '/account/employee/change_password/?id='+id
        ,data: JSON.stringify(data.field)
        ,type: 'post'
        ,done: function(res){
            // 清空form
            $('#password_form')[0].reset();
            layui.form.render();
            layer.open({
                 type: 1
                ,content: '<div style="padding: 20px 100px;">保存成功</div>'
                ,btn: '关闭'
                ,btnAlign: 'c' //按钮居中
                ,shade: 0 //不显示遮罩
                ,yes: function(){
                  layer.closeAll();
                  parent.layer.closeAll('iframe');
                }
            });
        }
      });

      return false;
    });

    $('#btn_close').on('click', function() {
        parent.layer.closeAll('iframe');
    });
  });
  </script>
</body>
</html>